<?php

namespace Teknisa\CADSUP\Services;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;

class Ger41400Service {
    
    protected $connection;
    
    public function __construct($entityManager, $environment){
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
    }
    
    public function insertFornecedor ($row){

		$param = array(
		    'P_CDGRUPFORN' => $row['CDGRUPFORN'],
		    'P_NMGRUPFORN' => $row['NMGRUPFORN'],
		);
		
        $query = "INSERT INTO GRUPFORN (
                    CDGRUPFORN,
                    NMGRUPFORN
                ) VALUES (
                    :P_CDGRUPFORN,
                    :P_NMGRUPFORN
                )";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function updateFornecedor ($row){

		$param = array(
		    'P_CDGRUPFORN'      => $row['CDGRUPFORN'],
		    'P_NMGRUPFORN'      => $row['NMGRUPFORN'],
		    'OLD_CDGRUPFORN'    => $row['OLD_CDGRUPFORN'],
		    'OLD_NMGRUPFORN'    => $row['OLD_NMGRUPFORN'],
		);
		
        $query = "UPDATE GRUPFORN
                SET
                    CDGRUPFORN =:P_CDGRUPFORN,
                    NMGRUPFORN =:P_NMGRUPFORN
                WHERE
                    CDGRUPFORN =:OLD_CDGRUPFORN
                    AND NMGRUPFORN =:OLD_NMGRUPFORN";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function deleteFornecedor ($row){

		$param = array(
		    'OLD_CDGRUPFORN' => $row['CDGRUPFORN'],
		    'OLD_NMGRUPFORN' => $row['NMGRUPFORN'],
		);
		
        $query = "DELETE FROM GRUPFORN
                WHERE
                    CDGRUPFORN =:OLD_CDGRUPFORN
                    AND NMGRUPFORN =:OLD_NMGRUPFORN";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function getFornecedor ($row){

		$param = array(
		    'P_CDGRUPFORN' => $row['CDGRUPFORN'],
		);
		
        $query = "SELECT
                     CDGRUPFORN,
                     NMGRUPFORN
                 FROM
                     GRUPFORN
                 WHERE
                     ( CDGRUPFORN =:P_CDGRUPFORN )
                 ORDER BY
                     CDGRUPFORN";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
            
            return $std->fetchAll();
        } catch (Exception $e){
            throw $e;
        }
    }
    
}