<?php

namespace Teknisa\CADSUP\Services;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;

class ger07100Service {
    
    protected $connection;
    
    public function __construct($entityManager, $environment){
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
    }
    
    public function insertFornecedor ($row){

		$param = array(
		    'P_CDTIPOFORN' => $row['CDTIPOFORN'],
		    'P_NMTIPOFORN' => $row['NMTIPOFORN'],
		);
		
        $query = "INSERT INTO TIPOFORN (
                    CDTIPOFORN,
                    NMTIPOFORN
                ) VALUES (
                    :P_CDTIPOFORN,
                    :P_NMTIPOFORN
                )";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function updateFornecedor ($row){

		$param = array(
		    'P_CDTIPOFORN'      => $row['CDTIPOFORN'],
		    'P_NMTIPOFORN'      => $row['NMTIPOFORN'],
		    'OLD_CDTIPOFORN'    => $row['OLD_CDTIPOFORN'],
		    'OLD_NMTIPOFORN'    => $row['OLD_NMTIPOFORN'],
		);
		
        $query = "UPDATE TIPOFORN
                SET
                    CDTIPOFORN =:P_CDTIPOFORN,
                    NMTIPOFORN =:P_NMTIPOFORN
                WHERE
                    CDTIPOFORN =:OLD_CDTIPOFORN
                    AND NMTIPOFORN =:OLD_NMTIPOFORN";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function deleteFornecedor ($row){

		$param = array(
		    'OLD_CDTIPOFORN' => $row['CDTIPOFORN'],
		    'OLD_NMTIPOFORN' => $row['NMTIPOFORN'],
		);
		
        $query = "DELETE FROM TIPOFORN
                WHERE
                    CDTIPOFORN =:OLD_CDTIPOFORN
                    AND NMTIPOFORN =:OLD_NMTIPOFORN";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function getFornecedor ($row){

		$param = array(
		    'P_CDTIPOFORN' => $row['CDTIPOFORN'],
		);
		
        $query = "SELECT
                     CDTIPOFORN,
                     NMTIPOFORN
                 FROM
                     TIPOFORN
                 WHERE
                     ( CDTIPOFORN =:P_CDTIPOFORN )
                 ORDER BY
                     CDTIPOFORN";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
            
            return $std->fetchAll();
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function verificaNome ($row){

		$param = array(
		    'P_NMTIPOFORN' => $row['NMTIPOFORN'],
		);
		
        $query = "SELECT
                     CDTIPOFORN,
                     NMTIPOFORN
                 FROM
                     TIPOFORN
                 WHERE
                     ( NMTIPOFORN =:P_NMTIPOFORN )
                 ORDER BY
                     CDTIPOFORN";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
            
            return $std->fetchAll();
        } catch (Exception $e){
            throw $e;
        }
    }
    
}